/* DESIGN
================================================== */
* { transition: all 0.3s linear, ease-in; }

.cor-verde  { color: #5FB !important; }
.cor-azul   { color: #00F !important; }
.cor-rosa   { color: #F25 !important; }
.cor-cinza   { color: #999 !important; }

.bg-verde   { background-color: #5FB !important; }
.bg-azul    { background-color: #00F !important; }
.bg-rosa    { background-color: #F25 !important; }
.bg-cinza    { background-color: #999 !important; }

.bd-verde   { border-color: #5FB !important; }
.bd-azul    { border-color: #00F !important; }
.bd-rosa    { border-color: #F25 !important; }
.bd-cinza    { border-color: #999 !important; }


* {font-family: 'Space Grotesk', sans-serif; }
/* a:active, a:visited, a:link  { color: #0000ff; } */
a.nav-link, a.dropdown-item { color: #55ffbb; }
/* a:hover { color: #ff2255; } */
#sidebar {
    box-shadow: 0 0 0.7em 0.7em rgb(0 0 0 / 15%);
    border: 1px solid rgb( 255 255 255 / 90% );
    border-width: 0 1px 0 0;
}
.collapse:not(.show) {
    display: none !important;
}

.gd-sgls {
    background: rgb(255,34,85);
    background: linear-gradient(-60deg, rgba(255,34,85,1) 25%, rgba(0,0,255,1) 50%, rgba(85,255,187,1) 75%);
}
form input, form textarea { font-weight: 500 !important; }
.form-floating label, .form-group label { color: #00F; }
.form-check-label { color: #101820 !important; }
.form-floating::before { background-color: transparent !important;}

.small-xs { font-size: 10px ; }
.autosize {    
    resize: none;
    overflow: hidden;
    /* padding-bottom: 25px; */
  }

datalist {
    display: flex;
    justify-content: space-between;
    text-align: center;
    font-size: 10px;
  }

.vertical-text {
    writing-mode: vertical-rl;
    text-orientation: mixed;
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
}
/* TIMELINE 
================================================== */

.timeline {
    position: relative;    
}
.timeline ul li {
    border-top: 1px dashed rgba(0,0,0,0.1) !important;
    list-style-type: none;
    display: flex;
    flex-direction: row;
}

.point {
    width: 40px;
    height: 40px;
    background-color: #5FB;
    border-radius: 100%;
    z-index: 2;
    position: relative;
    float: right;
    right: -42px;
}
.timeline ul li .chapter {
    padding: 10px 0 40px;
    width: 30%;
}
.timeline ul li .content {
    padding: 60px 0;
    width: 70%;
    margin-left: 30px;
}
.timeline ul li .align-timiline {
    text-align: right;
}
.timeline ul li .chapter h4,
.timeline ul li .chapter p {
    text-align: right
}


.timeline li:first-child .point,
.timeline li:last-child .point { top: -21px; }
.timeline li:before {
    content: '';
    position: relative;
    left: 31%;
    border-left: 6px solid #5FB;
}
.timeline li.bd-azul:before { border-color: #00F; }
.timeline li.bd-verde:before { border-color: #5FB; }
.timeline li:last-child:before { border-color: transparent; }





/* PRINT
================================================== */

@media print { 
    @page {  
        size: portrait; 
        /* size: 500mm 707mm; */
        size: A4;
        /* marks: crop cross !important;  */
        /* margin: 5mm -1mm 5mm ;  */
        margin: 0 ; 
        /* page-orientation: upright; */
    }
    img { image-resolution: 96dpi; }
    

    html { zoom: 145% !important; font-size: 0.6rem;  }
    body { padding: 0 !important;  }

    #main { height: auto !important; }   
    .page { padding: 20px 20px 40px 40px;  }   


    /* .collapse.d-print-block { display: block !important; height: auto !important;  } */

    .small-xs { font-size: 7px !important ; }
    
    .d-print-block.hide  {
        height: auto !important;
        display: block !important;
        print: true;
    }

    .sgls-bg {
        background: rgb(0,0,255);
        background: linear-gradient(45deg, rgba(255,34,85,1) 1%, rgba(0,0,255,1) 25%, rgba(0,0,255,1) 75%, rgba(85,255,187,1) 99%);
    }

    #sgls-barra {
        position: fixed;
        top: 100%;
        bottom: 0;
        left: 0;
        z-index: 10000;
        height: 100%;
        width: 1px;
        margin: 0px;
        padding: 0px;
        clear: both;
        background: #FFF;
        border-left: 20px solid;
        border-image: linear-gradient(to bottom,rgba(85,255,187,1) 5%,rgba(0,0,255,1) 50%,rgba(255,34,85,1) 95%) 1 100% !important;
    }    

   #sgls-arroba {
        position: fixed;
        bottom: 10px;
        right: 40px;
        z-index: 11000;
        height: 30px;
        width: 120px;
        margin: 0;
        padding: 0px;
        clear: both;
        text-align: right;
    }    
    #toolbarContainer { display: none !important; }

    .break-before { page-break-before: always; break-before: always;}    
    .break-after { page-break-after: always ;  break-after: always ; }

    .break-before-auto { page-break-before: auto; break-before: auto; }    
    .break-after-auto { page-break-after: auto ; break-after: auto ; }

    .break-before-avoid { page-break-before: avoid; break-before: avoid; }
    .break-after-avoid { page-break-after: avoid; break-after: avoid; }
    .break-inside-avoid { page-break-inside: avoid !important; break-inside: avoid !important;  margin: 10px auto  }

    /* .page-break { page-break-after: always; } */
    /* .break-inside { break-inside: avoid; padding: 30px 0 0 !important; margin: 0 auto !important  } */
    .bg-light, .bg-dark, :disabled, .alert-secondary { 
        background-color: #FFF !important; 
        border: none !important; 
        color: #000!important; 
    }        

    table {  }
    tr    {  }
    thead { display:table-header-group !important; margin-top: 100px; }
    tfoot { display:table-footer-group !important }
    table td textarea.form-control { margin: 0; }

    @page :first {  
        div#sgls-barra { display: none !important; position: none; }
        .page { height: 100em; }
    }

    @bottom { content: "Page " counter(page) " of " counter(pages) }
    
    
}







